Docs › API reference › Identity verification
Document image download
Gets an image from the document, such as the passport photo or signature, by name. The response content type is image/jpeg.
GET
https://api.screenlyyid.com/api/v1/data/{sessionId}/images/{imageName}Headers#
| Name | Type | Required | Description |
|---|---|---|---|
x-api-key | string | Yes | Your ScreenlyyID API key |
x-correlation-id | string (uuid) | Yes | Correlation ID for this customer check |
Path parameters#
| Name | Type | Required | Description |
|---|---|---|---|
sessionId | string | Yes | |
imageName | string | Yes |
Responses#
| Status | Description |
|---|---|
200 | Successful response |
Code samples#
curl --request GET \
--url 'https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/YOUR_IMAGE_NAME' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID'const response = await fetch(
"https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/YOUR_IMAGE_NAME",
{
"method": "GET",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
}
);
const result = await response.json();import requests
response = requests.get(
'https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/YOUR_IMAGE_NAME',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
}
)
result = response.json()using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
var response = await client.GetAsync("https://api.screenlyyid.com/api/v1/data/YOUR_SESSION_ID/images/YOUR_IMAGE_NAME");
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();